#ifndef TMCONFIGUREUPDATETIME_H
#define TMCONFIGUREUPDATETIME_H

#include <RQ_OBJECT.h>
#include <TGFrame.h>
#include <TGButtonGroup.h>
#include <TGTextEntry.h>
#include <TGLabel.h>

class TMConfigureUpdateTime : public TGTransientFrame {
    
  RQ_OBJECT("TMConfigureUpdateTime")
	
  public :
    
  TMConfigureUpdateTime(const TGWindow* p, const TGWindow *main);
  virtual ~TMConfigureUpdateTime();
  virtual void CloseWindow();
  virtual void MakeAssignment();
  virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
  virtual Bool_t HandleKey(Event_t *event);

  private:
  const TGWindow        *fSPD;
  TGGroupFrame          *fTop;
  TGCompositeFrame	*fF[2];
  TGTextEntry		*fText;
  TGLayoutHints		*fLayout, *fLayout2, *fLayout3, *fLayout4, *fLayout5;
  TGLabel		*fLabel;
  TGTextButton          *fTextB[3];
  Bool_t                fLetUserCloseWindow;
  Bool_t                fDone;

  enum EEvents {
    TEXT_VAL,
    BUTTON_APPLY,
    BUTTON_CANCEL,
    BUTTON_HELP
  };

  ClassDef(TMConfigureUpdateTime, 1);
};

#endif
